<?php
class ControllerCommonRedirecionamento301 extends Controller {
	public function index() {
    $where =  " where (link_origem = 'http://" . $_SERVER['HTTP_HOST'] . str_replace("&amp;","&",$_SERVER['REQUEST_URI'])."' or link_origem = 'https://".$_SERVER['HTTP_HOST'] . str_replace("&amp;","&",$_SERVER['REQUEST_URI'])."')";
    $where .= " or(link_origem = 'http://" . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']."' or link_origem = 'https://".$_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']."')";
    $query = $this->db->query("select link_destino from " . DB_PREFIX . "redirecionamento301 ".$where." limit 1");

    if (isset($query->row['link_destino'])){
			$url_redirect = str_replace("&amp;","&",$query->row['link_destino']);
      header('Location: ' . $url_redirect);
      exit;
    }
  }

}
